Page MenuHomePhabricator

Show the footnote contents when hovering over footnote indicators
Closed, ResolvedPublic3 Story Points

Description

Motivation
The core feature of ReferencePreviews is showing a preview of the footnote whenever people hover over footnote indicators in wikipages. Let's take the first step

User story
As a wikipedia article reader
I want to see the reference info next to where it is used
so that I can keep my reading position while checking the source of the info.

Acceptance Criteria

  • If a user hovers 250ms over a footnote indicator (which is the same time as page previews), a pop up appears that contains the content of the footnote
  • For now, this only needs to work for footnotes that contain a small amount of text + links, such as Klaus Pampus: Urkundliche Erstnennungen oberbergischer Orte (= Beiträge zur Oberbergischen Geschichte. Sonderbd. 1). Oberbergische Abteilung 1924 e.V. des Bergischen Geschichtsvereins, Gummersbach 1998, ISBN 3-88265-206-3
  • This should only be visible on beta, not live in production.

Mock

Notes

  • The instrumentation code of the popups exstension should still only reflect actions around pagepreviews, since referencepreviews will not be executed in the production environment. Before ReferencePreviews hits production, the instrumentation questions needs to be solved.

Event Timeline

Lea_WMDE updated the task description. (Show Details)Jan 10 2019, 1:53 PM
Lea_WMDE set the point value for this task to 8.
Lea_WMDE moved this task from Backlog to Doing on the Reference Previews board.

Change 484726 had a related patch set uploaded (by WMDE-Fisch; owner: WMDE-Fisch):
[integration/config@master] Add the Cite extension to Popups jobs

https://gerrit.wikimedia.org/r/484726

Change 485013 had a related patch set uploaded (by Thiemo Kreuz (WMDE); owner: Thiemo Kreuz (WMDE)):
[mediawiki/extensions/Popups@master] Rename current gateway to pagePreviewGateway

https://gerrit.wikimedia.org/r/485013

Change 485016 had a related patch set uploaded (by Thiemo Kreuz (WMDE); owner: Thiemo Kreuz (WMDE)):
[mediawiki/extensions/Popups@master] Introduce TYPE_REFERENCE constant in advance

https://gerrit.wikimedia.org/r/485016

Change 485020 had a related patch set uploaded (by Thiemo Kreuz (WMDE); owner: Thiemo Kreuz (WMDE)):
[mediawiki/extensions/Popups@master] Change getPageSummary() to use mw.Title object instead of string

https://gerrit.wikimedia.org/r/485020

Change 485020 merged by jenkins-bot:
[mediawiki/extensions/Popups@master] Change getPageSummary() to use mw.Title object instead of string

https://gerrit.wikimedia.org/r/485020

Change 484726 merged by jenkins-bot:
[integration/config@master] Add the Cite extension to Popups jobs

https://gerrit.wikimedia.org/r/484726

Change 485016 merged by jenkins-bot:
[mediawiki/extensions/Popups@master] Introduce TYPE_REFERENCE constant in advance

https://gerrit.wikimedia.org/r/485016

Change 485013 merged by jenkins-bot:
[mediawiki/extensions/Popups@master] Rename current gateway to pagePreviewGateway

https://gerrit.wikimedia.org/r/485013

@Lea_WMDE here are the design specifications:

I've also updated both demos. It may be easier for the developers to get the specs directly from there:
https://reference-previews.firebaseapp.com/
https://reference-previews.firebaseapp.com/demo.html

Change 485619 had a related patch set uploaded (by Thiemo Kreuz (WMDE); owner: Thiemo Kreuz (WMDE)):
[mediawiki/extensions/Popups@master] Add feature flag to disable reference previews by default

https://gerrit.wikimedia.org/r/485619

Change 485694 had a related patch set uploaded (by WMDE-Fisch; owner: WMDE-Fisch):
[mediawiki/extensions/Popups@master] [WIP] Add browser tests for reference previews

https://gerrit.wikimedia.org/r/485694

Change 485793 had a related patch set uploaded (by WMDE-Fisch; owner: WMDE-Fisch):
[integration/jenkins@master] Enable reference previews

https://gerrit.wikimedia.org/r/485793

Change 485619 merged by jenkins-bot:
[mediawiki/extensions/Popups@master] Add feature flag to disable reference previews by default

https://gerrit.wikimedia.org/r/485619

Change 479259 had a related patch set uploaded (by WMDE-Fisch; owner: Thiemo Kreuz (WMDE)):
[mediawiki/extensions/Popups@master] Add reference preview type

https://gerrit.wikimedia.org/r/479259

Lea_WMDE triaged this task as Normal priority.Jan 23 2019, 1:34 PM
Lea_WMDE updated the task description. (Show Details)
Lea_WMDE changed the point value for this task from 8 to 3.

What remains to do is

  • beta config change
  • final review

Change 486100 had a related patch set uploaded (by Thiemo Kreuz (WMDE); owner: Thiemo Kreuz (WMDE)):
[mediawiki/extensions/Popups@master] Rename getPageSummary to fetchPreviewForTitle

https://gerrit.wikimedia.org/r/486100

Change 479259 merged by jenkins-bot:
[mediawiki/extensions/Popups@master] Add reference preview type

https://gerrit.wikimedia.org/r/479259

Change 486100 merged by jenkins-bot:
[mediawiki/extensions/Popups@master] Rename getPageSummary to fetchPreviewForTitle

https://gerrit.wikimedia.org/r/486100

Change 486218 had a related patch set uploaded (by WMDE-Fisch; owner: WMDE-Fisch):
[operations/mediawiki-config@master] Enable reference previews on beta

https://gerrit.wikimedia.org/r/486218

Change 485793 abandoned by WMDE-Fisch:
Enable reference previews

Reason:
We will change the default to true so this is not needed for the CI. See
Iad3bc723e1dd5f79e770c9a2f66190ebcd7c8b9d

https://gerrit.wikimedia.org/r/485793

Change 486252 had a related patch set uploaded (by Thiemo Kreuz (WMDE); owner: Thiemo Kreuz (WMDE)):
[mediawiki/extensions/Popups@master] Rewrite title module to preserve all link's #fragments

https://gerrit.wikimedia.org/r/486252

Change 486218 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable reference previews on beta

https://gerrit.wikimedia.org/r/486218

Mentioned in SAL (#wikimedia-operations) [2019-01-24T12:25:35Z] <zfilipin@deploy1001> Synchronized wmf-config/: SWAT: [[gerrit:486218|Enable reference previews on beta (T213415)]] (duration: 00m 54s)

Mentioned in SAL (#wikimedia-operations) [2019-01-24T12:32:58Z] <zfilipin@deploy1001> sync-file aborted: SWAT: [[gerrit:486218|Enable reference previews on beta (T213415)]] (duration: 00m 01s)

Change 485694 merged by jenkins-bot:
[mediawiki/extensions/Popups@master] Add browser tests for reference previews

https://gerrit.wikimedia.org/r/485694

Change 486137 had a related patch set uploaded (by Thiemo Kreuz (WMDE); owner: Thiemo Kreuz (WMDE)):
[mediawiki/extensions/Popups@master] Add QUnit tests for all new reference preview code

https://gerrit.wikimedia.org/r/486137

Change 486293 had a related patch set uploaded (by Thiemo Kreuz (WMDE); owner: Thiemo Kreuz (WMDE)):
[mediawiki/extensions/Popups@master] Add QUnit test for reference preview renderer

https://gerrit.wikimedia.org/r/486293

The current state can be tested on beta e.g. on https://en.wikipedia.beta.wmflabs.org/wiki/Dog

Be aware, that if logged in you might have to enable Page previews on https://en.wikipedia.beta.wmflabs.org/wiki/Special:Preferences#mw-prefsection-rendering

Change 486137 merged by jenkins-bot:
[mediawiki/extensions/Popups@master] Add QUnit tests for most new reference preview code

https://gerrit.wikimedia.org/r/486137

Change 486293 merged by jenkins-bot:
[mediawiki/extensions/Popups@master] Add QUnit test for reference preview renderer

https://gerrit.wikimedia.org/r/486293

Lea_WMDE closed this task as Resolved.Jan 25 2019, 1:52 PM
Lea_WMDE moved this task from Demo to Done on the WMDE-QWERTY-Sprint-2019-01-23 board.
Lea_WMDE claimed this task.
WMDE-Fisch removed Lea_WMDE as the assignee of this task.Jan 25 2019, 1:54 PM

Change 486252 merged by jenkins-bot:
[mediawiki/extensions/Popups@master] Rewrite title module to preserve all link's #fragments

https://gerrit.wikimedia.org/r/486252